package cn.yw.operationcount.videoarchivecount.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywcountvideoarchiveDao")
public class YwcountvideoarchiveDao  extends BaseSqlMapDAO{
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywcountvideoarchive(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywcountvideoarchive",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map<String,String>> query_Ywcountvideoarchive(Map map) throws SQLException{
		return this.queryForPage("query_Ywcountvideoarchive",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywcountvideoarchive(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywcountvideoarchive",map);
	}
	
	// 统计  饼图展示
	public Map count_showPie(Map map) throws SQLException{
		return (Map) this.queryForObject("count_showPie",map);
	}
	
	// 统计 柱状图展示
	public List count_showBar(Map map) throws SQLException{
		return this.queryForList("count_showBar",map);
	}
}
